caption: Enable lock when the device suspends or the lid is closed
default: null
desc: |-
  Setting the policy to Enabled means <ph name="PRODUCT_OS_NAME">$2<ex>Google ChromeOS</ex></ph> asks users for a password to unlock the device when it suspends or the lid is closed.

        Devices will lock when the lid is closed except if they are docked (using an external monitor).  In such a case, the device will not lock when the lid closes, but will lock if the external monitor is removed and the lid is still closed.

        Until <ph name="PRODUCT_OS_NAME">$2<ex>Google ChromeOS</ex></ph> M106, this policy would only lock the device when it suspends.  From M106 onwards, this policy will lock the device when it suspends or the lid is closed.

        By setting this policy to true, and <ph name="LID_CLOSE_ACTION_POLICY_NAME">LidCloseAction</ph> to <ph name="LID_CLOSE_ACTION_ENUM_DO_NOTHING">LidCloseActionDoNothing</ph>, a device will lock when the lid is closed, but will only suspend if and when configured to do so in <ph name="POWER_MANAGEMENT_IDLE_SETTINGS_POLICY_NAME">PowerManagementIdleSettings</ph>.

        Setting the policy to Disabled means users are not asked for a password to unlock the device.

        Leaving the policy unset lets the user choose whether to be prompted for a password to unlock the device.
example_value: true
features:
  can_be_recommended: true
  dynamic_refresh: true
  per_profile: true
items:
- caption: Lock the device when it suspends or the lid is closed
  value: true
- caption: Do not lock the device when it suspends or the lid is closed
  value: false
- caption: Allow users to decide whether the device should lock when it suspends or
    the lid is closed
  value: null
owners:
- xiyuan@chromium.org
- ultrotter@chromium.org
- chromeos-power@google.com
schema:
  type: boolean
supported_on:
- chrome_os:9-
tags: []
type: main
